/* EasyCODE(C++) V5.1 01.03.1995 14:27:15
Library Management: User Identification */
/* EasyCODE O
If=horizontal
LevelNumbers=no
LineNumbers=no
ScreenFont=Arial,,100,9220,-13,0,400,0,0,0,0,0,0,3,2,1,34
PrinterFont=Courier,,100,2,-42,0,400,0,0,0,0,0,0,2,1,2,49
LastLevelId=5 */

/* EasyCODE ( 1
   User identification */
#include "libdat.h"
/* EasyCODE - */
extern int ClpBrdUsrNo;
extern char ClpBrdUsrName[];
extern user_item user[];
extern int iUserSize;
extern int iFilUsr;
/* EasyCODE - */
void ReadRegistrationCard(int&, char *);
BOOL CheckRegistrationCard(int, char *);

/* EasyCODE ( 3
   UsrIdent */

/* EasyCODE F */
BOOL UsrIdent(void)
   {
   int UserNumber;
   char UserName[BUFFER_SIZE];
   /* EasyCODE - */
   ReadRegistrationCard(UserNumber, UserName);
   if (!CheckRegistrationCard(UserNumber, UserName))
      {
      // Read registration card data again (to avoid read error)
      ReadRegistrationCard(UserNumber, UserName);
      if (!CheckRegistrationCard(UserNumber, UserName))
         {
         cout << "User unknown";
         /* EasyCODE - */
/* EasyCODE < */
         return(FALSE);
/* EasyCODE > */
         }
      }
   ClpBrdUsrNo = UserNumber;
   strcpy(ClpBrdUsrName, UserName);
   /* EasyCODE - */
/* EasyCODE < */
   return(TRUE);
/* EasyCODE > */
   }
/* EasyCODE ) */

/* EasyCODE ( 4
   ReadRegistrationCard */

/* EasyCODE F */
void ReadRegistrationCard(int& UserNumber, char *UserName)
   {
   cout << "Read registration card data that can be read by machine\n" << endl;
   cout << "UserNumber: ";
   cin >> UserNumber;
   cout << "UserName: ";
   cin >> UserName;
   }
/* EasyCODE ) */

/* EasyCODE ( 5
   CheckRegistrationCard */

/* EasyCODE F */
BOOL CheckRegistrationCard(int UserNumber, char *UserName)
   {
   BOOL bFound = FALSE;
   for (iFilUsr = 0; iFilUsr < iUserSize && !bFound; iFilUsr++)
      {
      if (user[iFilUsr].UserNo == UserNumber)
         {
         iFilUsr--;
         /* EasyCODE - */
         bFound = TRUE;
         }
      }
   if (strcmp(user[iFilUsr].UserName, UserName))
      {
      bFound = FALSE;
      }
/* EasyCODE < */
   return(bFound);
/* EasyCODE > */
   }
/* EasyCODE ) */
/* EasyCODE ) */
